wc -cwl /etc/group , the outcome is 78 78 1096 
umber of bytes (characters): This represents the total number of characters, including spaces and punctuation, in the file.
Number of words: This indicates the number of words separated by whitespace (spaces, tabs, newlines).
Number of lines: This shows the total number of lines in the file.

which ls - shows the path for the commend ls (/usr/bin/ls)
which which - shows the path for the commend which (/usr/bin/which)
which \which is the same 
after i commend alias (ls=ls -l) and did which ls, there is no diffrent in the which commend


